RDKit: DistGeom::ChiralViolationContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
DistGeom::ChiralViolationContrib Class Reference

`#include <ChiralViolationContrib.h>`

Inheritance diagram for DistGeom::ChiralViolationContrib:

## Public Member Functions
| ChiralViolationContrib ()
| ChiralViolationContrib (ForceFields::ForceField *owner, const ChiralSet *cset, double weight=1.0)
| Constructor. More...
double | getEnergy (double *pos) const
| return the contribution of this contrib to the energy of a given state More...
void | getGrad (double *pos, double *grad) const
| calculate the contribution of this contrib to the gradient at a given More...
virtual ChiralViolationContrib * | copy () const
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Static Public Member Functions
static double | calcChiralVolume (unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, const double *pos, unsigned int dim)
static double | calcChiralVolume (unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, const RDGeom::PointPtrVect &pts)

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField
| our owning ForceField More...

## Detailed Description

A term to capture the violation of chirality at an atom center

Definition at line 15 of file ChiralViolationContrib.h.

## Constructor & Destructor Documentation

DistGeom::ChiralViolationContrib::ChiralViolationContrib | ( |  | ) |
| inline

Definition at line 17 of file ChiralViolationContrib.h.

References getEnergy(), and getGrad().

Referenced by copy().

DistGeom::ChiralViolationContrib::ChiralViolationContrib | ( | ForceFields::ForceField * | owner,
|  | const ChiralSet * | cset,
|  | double | weight = `1.0`
| ) |  |

Constructor.

Parameters

  owner | pointer to the owning forcefield
  cset | a chiral set containing the four chiral atom ids (in sequence) and the upper and lower limits on the signed chiral volume
  weight | (optional) the weight to be used for this contrib

## Member Function Documentation

static double DistGeom::ChiralViolationContrib::calcChiralVolume | ( | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | const double * | pos,
|  | unsigned int | dim
| ) |  |
| inlinestatic

Definition at line 48 of file ChiralViolationContrib.h.

References RDGeom::Point3D::crossProduct(), and RDGeom::Point3D::dotProduct().

static double DistGeom::ChiralViolationContrib::calcChiralVolume | ( | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | const RDGeom::PointPtrVect & | pts
| ) |  |
| inlinestatic

Definition at line 70 of file ChiralViolationContrib.h.

References RDGeom::Point3D::crossProduct(), and RDGeom::Point3D::dotProduct().

virtual ChiralViolationContrib* DistGeom::ChiralViolationContrib::copy | ( |  | ) | const
| inlinevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 44 of file ChiralViolationContrib.h.

References ChiralViolationContrib().

double DistGeom::ChiralViolationContrib::getEnergy | ( | double * | pos | ) | const
| virtual

return the contribution of this contrib to the energy of a given state

Implements ForceFields::ForceFieldContrib.

Referenced by ChiralViolationContrib().

void DistGeom::ChiralViolationContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const
| virtual

calculate the contribution of this contrib to the gradient at a given

Implements ForceFields::ForceFieldContrib.

Referenced by ChiralViolationContrib().

The documentation for this class was generated from the following file:

- ChiralViolationContrib.h